Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.dao
Class BaseDAO

    java.lang.Object
      |
      +--com.infodesire.infobit.dao.BaseDAO

Direct Known Subclasses:
  AclDAO, InfobitDAO

public class BaseDAO
extends java.lang.Object

implements base DAO capabilities. - low level persistence and security checking derived classes shall do transaction management

Version:
  $Revision: 1.7 $
Author:
  konstantin

Constructor Summary
`BaseDAO(SecurityProvider sec, SessionProvider sess)` Constructor for the InfobitDAO object

Method Summary
`java.lang.Object` | `doLoad(java.lang.Class clazz, java.io.Serializable id)` load persistent entity
`SecurityProvider` | `getSecurityProvider()` Gets the SecurityProvider attribute of the InfobitDAO object
`SessionProvider` | `getSessionProvider()` Gets the SessionProvider attribute of the InfobitDAO object
`java.util.List` | `performQuery(java.lang.String query)` perform query somebody already rigged up for us
`java.util.List` | `performQuery(java.lang.String name, java.util.Map parameters)` perform hibernate query.
`void` | `setSecurityProvider(SecurityProvider securityProvider)` Sets the SecurityProvider attribute of the InfobitDAO object
`void` | `setSessionProvider(SessionProvider sessionProvider)` Sets the SessionProvider attribute of the InfobitDAO object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseDAO

    public BaseDAO(SecurityProvider sec,
                   SessionProvider sess)

  Constructor for the InfobitDAO object

Parameters:
  `sec` - Description of Parameter
  `sess` - Description of Parameter

Method Detail

### getSecurityProvider

    public SecurityProvider getSecurityProvider()

  Gets the SecurityProvider attribute of the InfobitDAO object

  Returns:
    The SecurityProvider value

### getSessionProvider

    public SessionProvider getSessionProvider()

  Gets the SessionProvider attribute of the InfobitDAO object

  Returns:
    The SessionProvider value

### setSecurityProvider

    public void setSecurityProvider(SecurityProvider securityProvider)

  Sets the SecurityProvider attribute of the InfobitDAO object

  Parameters:
    `securityProvider` - The new SecurityProvider value

### setSessionProvider

    public void setSessionProvider(SessionProvider sessionProvider)

  Sets the SessionProvider attribute of the InfobitDAO object

  Parameters:
    `sessionProvider` - The new SessionProvider value

### performQuery

    public java.util.List performQuery(java.lang.String query)
                                throws java.lang.Exception

  perform query somebody already rigged up for us

  Parameters:
    `query` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.lang.Exception` - Description of Exception

### performQuery

    public java.util.List performQuery(java.lang.String name,
                                       java.util.Map parameters)
                                throws java.lang.Exception

  perform hibernate query.

  Parameters:
    `name` - name of the query
    `parameters` - map of parameters
  Returns:
    result list
  Throws:
    `java.lang.Exception` - thrown by hibernate

### doLoad

    public java.lang.Object doLoad(java.lang.Class clazz,
                                   java.io.Serializable id)
                            throws java.lang.Exception

  load persistent entity

  Parameters:
    `clazz` - Description of Parameter
    `id` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.lang.Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.